org.apache.cassandra.streaming

## Class StreamEvent.ProgressEvent

- java.lang.Object
- - org.apache.cassandra.streaming.StreamEvent
  - - org.apache.cassandra.streaming.StreamEvent.ProgressEvent

Enclosing class:
  StreamEvent

    public static class StreamEvent.ProgressEvent
    extends StreamEvent

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.StreamEvent

`StreamEvent.ProgressEvent, StreamEvent.SessionCompleteEvent, StreamEvent.SessionPreparedEvent, StreamEvent.Type`

### Field Summary

Fields
`ProgressInfo` `progress`

### Fields inherited from class org.apache.cassandra.streaming.StreamEvent

`eventType, planId`

### Constructor Summary

Constructors
Constructor and Description
`ProgressEvent(java.util.UUID planId, ProgressInfo progress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### progress

    public final ProgressInfo progress

### Constructor Detail

#### ProgressEvent

    public ProgressEvent(java.util.UUID planId,
                         ProgressInfo progress)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`